Bug 496527 - KMS:M26:Radeon Mobility X700 panel doesn't show boot and after boot
KMS:M26:Radeon Mobility X700 panel doesn't show boot and after boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 19:06 EDT by Stojan Dimitrovski
Modified: 2010-05-24 15:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 15:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XOrg log... (There seem to be 5 logs, each having it's own .old :/) (64.05 KB, text/plain)
2009-05-14 07:08 EDT, Stojan Dimitrovski
no flags Details

  None (edit)
Description Stojan Dimitrovski 2009-04-19 19:06:17 EDT
Description of problem:
My laptop panel (1280x800 at 60MHz) doesn't show boot and after-boot when using modesetting. When I was on Fedora 10, boot and after-boot was shown on the same panel. The panel is backlit. I assume, from experience in with some older distros, that there is something wrong with the LVDS and/or DPMS options when booting. The system does boot.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-2.fc11.i586
kernel: 2.6.29.1-85.fc11.i586

Steps to Reproduce:
1. Have this panel, 
2. boot with modesetting enabled
3. watch the screen 
  
Actual results:
Screen which doesn't show boot and after-boot.

Expected results:
Showing the graphical boot, and later the desktop environment.
Comment 1 Stojan Dimitrovski 2009-04-19 19:08:14 EDT
Forgot to mention that switching VTs does not show on the screen and booting the kernel with nomodeset does work.
Comment 2 Matěj Cepl 2009-04-20 12:55:34 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Stojan Dimitrovski 2009-05-06 15:57:15 EDT
I have now run http://fedoraproject.org/wiki/QA:Testcase_radeon_dpms and figured out that it isn't a LVDS or DPMS problem as I suspected earlier.

I found out this forum topic http://forums.fedoraforum.org/showthread.php?t=202611&page=3 and then I did what most of the people said. When I ran 'vbetest' I didn't get a mode which supported my resolution (1280x800). I am pretty sure that this is the problem why Plymouth won't show at boot, and that after-boot is not shown.

Can somebody advise me more on this so we can figure out the problem?
Comment 4 Matěj Cepl 2009-05-13 17:37:43 EDT
Still these logs would be useful.
Comment 5 Stojan Dimitrovski 2009-05-14 07:08:34 EDT
Created attachment 343943 [details]
XOrg log... (There seem to be 5 logs, each having it's own .old :/)
Comment 6 Bug Zapper 2009-06-09 10:09:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:26:55 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2010-02-26 07:23:50 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 09:47:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Vedran Miletić 2010-05-24 15:23:17 EDT
Closing per comment 8.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]

Note You need to log in before you can comment on or make changes to this bug.